module.exports = {
  document: {
    list: {
      document_collection: {
        total_count: 'number',
        entries: 'array'
      }
    },
    generic: {
      type: '$document',
      id: 'string',
      status: 'string',
      name: 'string',
      created_at: 'string',
      modified_at: 'string'
    },
    done: {
      type: '$document',
      id: 'string',
      status: '$done',
      name: 'string',
      created_at: 'string',
      modified_at: 'string'
    },
    notFound: {
      detail: '$Not found'
    },
    badUrl: {
      url: 'array'
    },
    deleted: {
      body: 'undefined'
    },
    downloadOK: {},
    downloadNotFound: {
      body: '$detail'
    }


  },
  session: {
    basic: {
      type: '$session',
      id: 'string',
      expires_at: 'string'
    },
    badDocId: {
      document_id: 'array'
    },
    docIdNotFound: {
      detail: '$Not found'
    }
  }

};
